org.apache.lucene.analysis.miscellaneous

## Class KeywordMarkerFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class KeywordMarkerFilterFactory
    extends TokenFilterFactory
    implements ResourceLoaderAware

Factory for `KeywordMarkerFilter`.

     <fieldType name="text_keyword" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.KeywordMarkerFilterFactory" protected="protectedkeyword.txt" pattern="^.+er$" ignoreCase="false"/>
       </analyzer>
     </fieldType>

Since:
  3.1.0

### Field Summary

Fields
`static String` `PATTERN`
`static String` `PROTECTED_TOKENS`

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`KeywordMarkerFilterFactory(Map<String,String> args)` Creates a new KeywordMarkerFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
`boolean` `isIgnoreCase()`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROTECTED_TOKENS

    public static final String PROTECTED_TOKENS

See Also:
  Constant Field Values

#### PATTERN

    public static final String PATTERN

See Also:
  Constant Field Values

### Constructor Detail

#### KeywordMarkerFilterFactory

    public KeywordMarkerFilterFactory(Map<String,String> args)

Creates a new KeywordMarkerFilterFactory

### Method Detail

#### inform

    public void inform(ResourceLoader loader)
                throws IOException

Description copied from interface: `ResourceLoaderAware`
Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

#### isIgnoreCase

    public boolean isIgnoreCase()

#### create

    public TokenStream create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`